long randNumber;
int buttonState = 0;
int c = 0;
boolean active = false;
int ledpin[8];
int scramblrun[6] = { 1,2,3,7,6,5 };
const int switchpin = 3;

void setup() {
  ledpin[1] = 13;
  ledpin[2] = A1;
  ledpin[3] = A4;
  ledpin[4] = 10;
  ledpin[5] = 12;
  ledpin[6] = 8;
  ledpin[7] = 2;
  
  for (int i = 1; i < 8; ++i) 
  pinMode(ledpin[i], OUTPUT);
  pinMode(switchpin, INPUT);
  throwDice();
}

void scamble() {
  for (int i = 1; i < 8; ++i) 
    digitalWrite(ledpin[i], LOW);
  
   for (int i = 0; i < 24; ++i) {
    c = (i % 6);
    digitalWrite(ledpin[scramblrun[c]], HIGH);
    delay(60);
    digitalWrite(ledpin[scramblrun[c]], LOW);
  }
}

void throwDice() {
  scamble();
  randNumber = (millis() % 6) + 1; 
    switch (randNumber) {
    case 1:
      digitalWrite(ledpin[4], HIGH);
    break;
    case 2:
      digitalWrite(ledpin[1], HIGH);
      digitalWrite(ledpin[7], HIGH);
    break;
    case 3:
      digitalWrite(ledpin[1], HIGH);
      digitalWrite(ledpin[4], HIGH);
      digitalWrite(ledpin[7], HIGH);
    break;
    case 4:
      digitalWrite(ledpin[1], HIGH);
      digitalWrite(ledpin[3], HIGH);
      digitalWrite(ledpin[5], HIGH);
      digitalWrite(ledpin[7], HIGH);
    break;
    case 5:
      digitalWrite(ledpin[1], HIGH);
      digitalWrite(ledpin[3], HIGH);
      digitalWrite(ledpin[4], HIGH);
      digitalWrite(ledpin[5], HIGH);
      digitalWrite(ledpin[7], HIGH);
    break;
    case 6:
      digitalWrite(ledpin[1], HIGH);
      digitalWrite(ledpin[2], HIGH);
      digitalWrite(ledpin[3], HIGH);
      digitalWrite(ledpin[5], HIGH);
      digitalWrite(ledpin[6], HIGH);
      digitalWrite(ledpin[7], HIGH);
    break;
    }
 }

void loop() {
   buttonState = digitalRead(switchpin);
  if (buttonState == HIGH && active == true) {    
    throwDice();
    active = false;
    delay(500);
  }
  if (buttonState == LOW)
    active = true;
}